@font-face {
  font-family: 'Roboto';
  src: url('fonts/Roboto-Regular.ttf');
}

@font-face {
  font-family: 'Roboto';
  src: url('fonts/Roboto-Thin.ttf');
  font-weight: lighter;
}

@font-face {
  font-family: 'Roboto';
  src: url('fonts/Roboto-Bold.ttf');
  font-weight: bold;
}

@font-face {
  font-family: 'SF Pro Display';
  src: url('fonts/SF-Pro-Display-Regular.otf');
}

@font-face {
  font-family: 'SF Pro Display';
  src: url('fonts/SF-Pro-Display-Light.otf');
  font-weight: lighter;
}

@font-face {
  font-family: 'SF Pro Display';
  src: url('fonts/SF-Pro-Display-Bold.otf');
  font-weight: bold;
}

@font-face {
  font-family: "Montserrat";
  src: url("fonts/Montserrat-Regular.ttf");
}



/* make color variables */
:root {
  --color-text: #fefcff;
  --color-background: #18181c;
  --color-primary: #373a43;
  --color-secondary: #33333d;
  --color-tertiary: #23232d;
  --color-accent: #5b5c62;
  --color-warning: #eb3737;
  --color-blue-back: #2D606A;
  --color-blue-text: #E6F5F8;
  --color-green-back: #3D562F;
  --color-green-text: #ECF5E6;
  --color-yellow-back: #90863F;
  --color-yellow-text: #FFFCE4;
  --color-orange-back: #856231;
  --color-orange-text: #FDF2E3;
  --color-red-back: #752D21;
  --color-red-text: #FAE5E1;
  --color-hotred-back: #7C474B;
  --color-hotred-text: #FBECED;
  --color-drysoil-back: #AF3727;
  --color-normalsoil-back: #456B2C;
}

p, h1, h2, h3, h4, h5, h6 {
  margin: 0;
}

html, body {
  height: 100%;
  font-family: 'SF Pro Display', sans-serif;
  color: var(--color-text);
}
body {
  margin: 0;
  /* height: calc(100% + 40px); */
  overflow: hidden;
}

body {
  background-color: var(--color-background);
  margin: 0;
}

div.header {
  display: none;
  height: 0;
  width:0;

  background-color: var(--color-text);
  color: var(--color-background);
  overflow: hidden;

}
div.header-shown {
  display: flex;
  width: 100%;
  height: 40px;
  justify-content: center;
  align-items: center;
}

div.content {
  height: 100%;
  /* height: calc(100% - 40px); */
  width: 100%;
  background-color: var(--color-background);
  overflow: hidden;
  display: flex;
  position: relative;
}

/* @media screen and (min-width: 768px) {
  html {
      height: calc(100% + 25px);
  }

  div.cover {
      display: block;
  }
} */

.weather {
  font-size: 40px;
}

#lastUpdated {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  padding: 6px 10px;
  background-color: var(--color-primary);
  border-radius: 5px;
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}
#lastUpdated_t {
  margin: 0 2px;
}

#warning {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  padding: 6px 10px;
  background-color: var(--color-warning);
  border-radius: 5px;
  position: absolute;
  bottom: 50px;
  left: 50%;
  transform: translateX(-50%);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}
#warning::before {
  display: block;
  content: ' ';
  background-image: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz48IS0tIFVwbG9hZGVkIHRvOiBTVkcgUmVwbywgd3d3LnN2Z3JlcG8uY29tLCBHZW5lcmF0b3I6IFNWRyBSZXBvIE1peGVyIFRvb2xzIC0tPg0KPHN2ZyB3aWR0aD0iODAwcHgiIGhlaWdodD0iODAwcHgiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4NCjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgY2xpcC1ydWxlPSJldmVub2RkIiBkPSJNMTEgMTNDMTEgMTMuNTUyMyAxMS40NDc3IDE0IDEyIDE0QzEyLjU1MjMgMTQgMTMgMTMuNTUyMyAxMyAxM1YxMEMxMyA5LjQ0NzcyIDEyLjU1MjMgOSAxMiA5QzExLjQ0NzcgOSAxMSA5LjQ0NzcyIDExIDEwVjEzWk0xMyAxNS45ODg4QzEzIDE1LjQzNjUgMTIuNTUyMyAxNC45ODg4IDEyIDE0Ljk4ODhDMTEuNDQ3NyAxNC45ODg4IDExIDE1LjQzNjUgMTEgMTUuOTg4OFYxNkMxMSAxNi41NTIzIDExLjQ0NzcgMTcgMTIgMTdDMTIuNTUyMyAxNyAxMyAxNi41NTIzIDEzIDE2VjE1Ljk4ODhaTTkuMzc3MzUgNC42NjEzNkMxMC41MjA0IDIuNjAzOTMgMTMuNDc5MyAyLjYwMzkzIDE0LjYyMjMgNC42NjEzNkwyMS4yMjMzIDE2LjU0MzFDMjIuMzM0MSAxOC41NDI3IDIwLjg4ODIgMjEgMTguNjAwOCAyMUg1LjM5ODg1QzMuMTExMzkgMjEgMS42NjU0OSAxOC41NDI3IDIuNzc2MzcgMTYuNTQzMUw5LjM3NzM1IDQuNjYxMzZaIiBmaWxsPSIjZmVmY2ZmIi8+DQo8L3N2Zz4=");
  background-size: 22px 22px;
  height: 22px;
  width: 22px;
  margin-right: 5px;
}

#weather-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 95%;
  padding: 0 10px;
  overflow: auto;
  margin-top: 10px;
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
  #weather-grid {
    height: 92%;
  }
}

.weather-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 13.5em;
  height: 13em;
  background-color: var(--color-secondary);
  border-radius: 15px;
  margin: 0 10px 10px 0;
  padding: 10px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px inset, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px inset;
}
.weather-item h3, .weather-item h5, .weather-item h6 {
  font-weight: lighter;
}
.weather-item h5 {
  font-size: 15px;

}
.weather-item h3 {
  margin: 10px 0 0 5px;
  font-size: 20px;
  font-family: "Montserrat";
  font-weight: normal;
}

.weather-item h6 {
  font-size: 10px;
}

.weather-item h1, .weather-item h4 {
  font-weight: bold;
}

.weather-item h1 {
  font-size: 50px;
}

.smaller-font {
  font-size: 35px !important;
}

.smaller-font-s {
  font-size: 32px !important;
}

.weather-item-section {
  display: flex;
  align-items: center;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  justify-content: space-around;
} 

.weather-item-section div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.weather-item-section span {
  color: rgb(168, 162, 250);
}

.inline-container {
  display: flex;
  flex-direction: row !important;
  align-items: center;
  width: 100%;
  justify-content: space-between !important;
}

.inline-container > h5:last-child {
  color: rgb(87, 213, 102);
}


.icon-container {
  flex-direction: row !important;
}

.icon-container img {
  width: 14px;
  margin-right: 5px;
}

.icon-container h2 {
  font-size: 29px;
}


.rainfall-container {
  width: 51%;
}

.temp_humidity, .outdoor {
  background-color: var(--background-colour);
  color: var(--text-colour);
}

.temp_humidity span, .outdoor span {
  color: rgba(0, 0, 0, 0.5);
}

.soil_moisture span {
  color: var(--span-colour);
}

.soil_moisture {
  background-color: var(--background-colour);
  color: var(--text-colour);
}

.rainfall, .wind, .pressure {
  background-color: var(--color-secondary);
}

.temp_threshold_1 {
  background-color: var(--color-blue-back);
  color: var(--color-blue-text);
}

.temp_threshold_2 {
  background-color: var(--color-green-back);
  color: var(--color-green-text);
}

.temp_threshold_3 {
  background-color: var(--color-yellow-back);
  color: var(--color-yellow-text);
}

.temp_threshold_4 {
  background-color: var(--color-orange-back);
  color: var(--color-orange-text);
}

.temp_threshold_5 {
  background-color: var(--color-red-back);
  color: var(--color-red-text);
}

.temp_threshold_6 {
  background-color: var(--color-hotred-back);
  color: var(--color-hotred-text);
}

.direction-icon {
  transform: rotate(var(--rotation));
}

.direction-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 22px;
}

#rain {
  display: none;
}

.raining {
  display: block !important;
}

.raining .rain__drop {
  -webkit-animation-delay: calc(var(--d) * 1s);
          animation-delay: calc(var(--d) * 1s);
  -webkit-animation-duration: calc(var(--a) * 1s);
          animation-duration: calc(var(--a) * 1s);
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  -webkit-animation-name: drop;
          animation-name: drop;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
  height: 30px;
  left: calc(var(--x) * 1%);
  position: absolute;
  top: calc((var(--y) + 50) * -1px);
}
.rain__drop path {
  fill: #a1c6cc;
  opacity: var(--o);
  transform: scaleY(calc(var(--s) * 1.5));
}
@-webkit-keyframes drop {
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: translateY(120vh);
  }
}
@keyframes drop {
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: translateY(120vh);
  }
}
